function f = HdP_objective2Jumps(theta, x1,x2, xOL, xUnion, cen1,cen2,age62_1, age62_2,age65_1,age65_2, beta_aux, nreps, cop , RHO, t_point_scale, W, K)
% here the indiviluals are labeled 1 and 2



    [n k]=size(x1);
    n=n/nreps;
 
	bet1 = beta_aux(1:(k+1)); 								%weibul 1
	bet2 = beta_aux((k+2):(2*(k+1)));						%weibul 2
	betOL = beta_aux((2*(k+1) + 1):(2*(k+1) + 2));			%ordered likelihood
    
    if (cop==1)
        ktemp = Copula(K,theta(length(theta)));
        betCR= beta_aux(length(beta_aux)-4);
        bet62_1= beta_aux(length(beta_aux)-3);
        bet62_2= beta_aux(length(beta_aux)-2);       
        bet65_1= beta_aux(length(beta_aux)-1);
        bet65_2= beta_aux(length(beta_aux));
    else
        ktemp= -log(1-K);
    end
    k1=ktemp(:,1);
    k2=ktemp(:,2);

    ttemp = rettimesT2Jumps(theta,x1,x2,k1,k2,[age62_1 age65_1],[age62_2 age65_2],RHO,t_point_scale);
    ttemp=ceil(ttemp);
    censored1=(ttemp(:,1)>cen1);
    censored2=(ttemp(:,2)>cen2);
    t1simulated=cen1.*censored1+ttemp(:,1).*(1-censored1);
    t2simulated=cen2.*censored2+ttemp(:,2).*(1-censored2);
    yy=(t2simulated < (t1simulated-1))+(t2simulated <= t1simulated+1);

    
    
    if (cop==1) 

        f1=weibul_mle_foc(bet1, t1simulated, censored1, x1);
        f2=weibul_mle_foc(bet2, t2simulated, censored2, x2);
        f3=ol_psmle_foc(betOL, yy, xOL);
        f4=covres_foc(t1simulated,t2simulated,xUnion,betCR);
        f5=ret_at_62foc(t1simulated,age62_1,bet62_1);
        f6=ret_at_62foc(t2simulated,age62_2,bet62_2);
        f7=ret_at_62foc(t1simulated,age65_1,bet65_1);
        f8=ret_at_62foc(t2simulated,age65_2,bet65_2);

        sco=[f1 f2 f3 f4 f5 f6 f7 f8]';

    else
%         needs fixing
        'not implemented'
        stop
 		f3=ol_psmle_foc(betOL, yy, xOL);
        f1=weibul_mle_foc(bet1, t1simulated, censored1, x1);
        f2=weibul_mle_foc(bet2, t2simulated, censored2, x2);
        sco=[f1 f2 f3]';
    end

    f=n*(1+(1/nreps))*sco'*W*sco;

end