function [theta, vtheta,fct ]=estimatemodel2Jumps(depvar,censotim,hh,gender,agedif,reg,RHO,t_point_scale,copula,nreps,paral,lbl1)

    ii=(gender==1); % Male
    ii=find(ii);
    t1=depvar(ii);
    censotim1=censotim(ii);
    cens1=(t1==censotim1);
    hh1=hh(ii);
    x1=reg(ii,:);
    agedif1=agedif(ii);
    agedif1=min(agedif1,0);
    age62_1=24-agedif1;
    age65_1=60-agedif1;
    

    ii=(gender==0);
    ii=find(ii);
    t0=depvar(ii);
    censotim0=censotim(ii);
    cens0=(t0==censotim0);
    hh0=hh(ii);
    x0=reg(ii,:);
    agedif0=agedif(ii);
    agedif0=max(agedif0,0);
    age62_0=24+agedif0;
    age65_0=60+agedif0;
    
  
    
    [n k]=size(x1);

    xOne=ones(n,1);
    xx1=[ones(n,1) x1];
    xx0=[ones(n,1) x0];
    k=k+1;
    yy=(t1 < (t0-1))+(t1 <= t0+1);

    b_aux_ol=ol_psmle(yy, xOne);
    b_aux_wei1=weibul_mle(t1, cens1, xx1);
    b_aux_wei0=weibul_mle(t0, cens0, xx0);
    [b_aux_cov xUnion]=covres(t0,t1,xx0,xx1);
    b_aux_62_0=ret_at_62(t0,age62_0); 
    b_aux_62_1=ret_at_62(t1,age62_1);
    b_aux_65_0=ret_at_62(t0,age65_0); 
    b_aux_65_1=ret_at_62(t1,age65_1);
    
    [b_aux_62_0 b_aux_62_1 b_aux_65_0 b_aux_65_1]

    
    w2=ol_psmle_scores(b_aux_ol, yy, xOne);
    w1=weibul_mle_scores(b_aux_wei1, t1, cens1, xx1);
    w0=weibul_mle_scores(b_aux_wei0, t0, cens0, xx0);
    w3=covres_scores(t0,t1,xUnion,b_aux_cov);
    w4=ret_at_62scores(t0,age62_0,b_aux_62_0);
    w5=ret_at_62scores(t1,age62_1,b_aux_62_1);
    w6=ret_at_62scores(t0,age65_0,b_aux_65_0);
    w7=ret_at_62scores(t1,age65_1,b_aux_65_1);
    
    Wsco=cov([w0 w1 w2 w3 w4 w5 w6 w7]);
    W=inv(Wsco);
    

    w0=weibul_mle_soc(b_aux_wei0, t0, cens0, xx0);
    w1=weibul_mle_soc(b_aux_wei1, t1, cens1, xx1);
    w2=ol_psmle_soc(b_aux_ol, xOne);
    w3=covres_soc(t0,t1,xUnion,b_aux_cov);
    w4=ret_at_62soc(t0,age62_0,b_aux_62_0);
    w5=ret_at_62soc(t1,age62_1,b_aux_62_1);
    w6=ret_at_62soc(t0,age65_0,b_aux_65_0);
    w7=ret_at_62soc(t1,age65_1,b_aux_65_1);
    
    Whes=blkdiag(inv(w0),inv(w1),inv(w2),inv(w3),inv(w4),inv(w5),inv(w6),inv(w7));

 
    beta_aux=[b_aux_wei0' b_aux_wei1' b_aux_ol' b_aux_cov b_aux_62_0 b_aux_62_1 b_aux_65_0 b_aux_65_1]';
    
    if (copula==1)
        th_start=[log(1.08-1)  b_aux_wei0(1) 2.5 2.5 b_aux_wei0(2:length(b_aux_wei0))' b_aux_wei1(1) 3.5 3.5 b_aux_wei1(2:length(b_aux_wei0))' -1]';
%   pamameter order
%     1:                Interaction (common)
%     2:                Weibul (female)
%     3 to 4:           Jump(s) (female)
%     5 to 4+k:         Beta incl constant (female)
%     5+k:              Weibul (male)
%     6+k,7+k:          Jump(s) (male)
%     8+k to 7+2k:      Beta incl constant (male)
%     8+2k:             Copula parameter (common)
   
    
    
    
    else
        fprintf('the program is not up to date without copula --- proceed at your own risk')
        th_start=[log(1.08-1)  b_aux_wei0' b_aux_wei1']';
    end
    
    seeed = 97171;
    rng(seeed);
    K=rand(n*nreps,2);
    
    xx0=repmat(xx0,nreps,1);
    xx1=repmat(xx1,nreps,1);
    xOne=repmat(xOne,nreps,1);
    xUnion=repmat(xUnion,nreps,1);
    censotim0=repmat(censotim0,nreps,1);
    censotim1=repmat(censotim1,nreps,1);
    Aage62_0=repmat(age62_0,nreps,1);
    Aage62_1=repmat(age62_1,nreps,1);
    Aage65_0=repmat(age65_0,nreps,1);
    Aage65_1=repmat(age65_1,nreps,1);

    th_start=th_start;
    
  
    ire=0;
    rng default  % For reproducibility  
    tic
    f_start = HdP_objective2Jumps(th_start, xx0,xx1, xOne, xUnion, censotim0,censotim1,Aage62_0, Aage62_1,Aage65_0, Aage65_1, beta_aux, nreps, copula , RHO, t_point_scale, W, K);
    toc
    f_start


    [th_start(3) th_start(length(th_start)/2+2)]

    theta=th_start;
    
    th_best=th_start;
    f_best=f_start;
    
    diary on
    fprintf(' \n\n');        
    fprintf('Starting Up');
    fprintf(' \n\n');
    diary off;
    
    

    de=(abs(th_start)+0.1);
    fh = @(b) HdP_objective2Jumps(b', xx0,xx1, xOne, xUnion, censotim0,censotim1,Aage62_0, Aage62_1,Aage65_0, Aage65_1, beta_aux, nreps, copula , RHO, t_point_scale, W, K);
    options=optimoptions('particleswarm','SwarmSize',500,'Display','iter','InitialSwarm',th_start','MaxTime',12*60*60,'UseParallel',paral);
    [theta,f]=particleswarm(fh,length(th_start),(th_start-de)',(th_start+de)',options);
    if (f<=f_best)
        th_best=theta';
        f_best=f;
    end
    'jumps'
    [th_best(3:4) th_best(6+k:7+k)]
    
   
    Intermediate_Results=strcat(lbl1,'-Intermediate_results');
    
    save(Intermediate_Results);
    diary on
    fprintf(' \n\n');        
    fprintf('Time is: ');fprintf(datestr(datetime('now')));
    fprintf(' \n'); 
    fprintf('Function after Swarm Third Initial %12.6f',f_best);
    fprintf(' \n'); 
    fprintf('Maximum Parameter Change %12.6f',max(abs(th_best-th_start)));
    fprintf(' \n\n');
    diary off;

    th_start=th_best;
    de=abs(th_start);
    
    while (((max(de)>1.0d-4)&&(ire<21))|(ire<4))
        ire=ire+1;
        de=de+0.05;
        th_start_iter=th_start;
        diary on
        fprintf(' \n\n');        
        fprintf('Loop number %3.0f',ire);
        fprintf(' \n\n');
        diary off;

        fh = @(b) HdP_objective2Jumps(b', xx0,xx1, xOne, xUnion, censotim0,censotim1,Aage62_0, Aage62_1,Aage65_0, Aage65_1, beta_aux, nreps, copula , RHO, t_point_scale, W, K);
        options=optimoptions('particleswarm','SwarmSize',500,'Display','iter','InitialSwarm',th_start','MaxTime',24*60*60,'UseParallel',true);
        [theta,f]=particleswarm(fh,length(th_start),(th_start-de)',(th_start+de)',options);
        if (f<=f_best)
            th_best=theta';
            f_best=f;
        end

        save(Intermediate_Results);
        diary on
        fprintf(' \n\n');        
        fprintf('Time is: ');fprintf(datestr(datetime('now')));
        fprintf(' \n'); 
        fprintf('Function after Swarm %12.6f',f_best);
        fprintf(' \n'); 
        fprintf('Maximum Parameter Change %12.6f',max(abs(th_best-th_start)));
        fprintf(' \n\n');
        diary off;

        
        
        th_start=th_best;
        [theta,f]=powell(@(b)HdP_objective2Jumps(b, xx0,xx1, xOne, xUnion, censotim0,censotim1,Aage62_0, Aage62_1,Aage65_0, Aage65_1, beta_aux, nreps, copula , RHO, t_point_scale, W, K),th_start,100,1.0e-6);
        if (f<=f_best)
            th_best=theta;
            f_best=f;
        end
        
        save(Intermediate_Results);
        diary on
        fprintf(' \n\n');        
        fprintf('Time is: '); fprintf(datestr(datetime('now')));
        fprintf(' \n');      
        fprintf('Function after Powell %12.6f',f_best);
        fprintf(' \n'); 
        fprintf('Maximum Parameter Change %12.6f',max(abs(th_best-th_start)));
        fprintf(' \n\n');
        diary off;

        th_start=th_best;
        opti=optimset('Display','iter','MaxFunEvals',100000,'MaxIter',10000,'TolFun',1.0e-6,'TolX',1.0e-4);
        fh = @(b) HdP_objective2Jumps(b, xx0,xx1, xOne, xUnion, censotim0,censotim1,Aage62_0, Aage62_1,Aage65_0, Aage65_1, beta_aux, nreps, copula , RHO, t_point_scale, W, K);
        [theta , f]= fminsearch(fh,th_start,opti);
        if (f<=f_best)
            th_best=theta;
            f_best=f;
        end
        
        save(Intermediate_Results);
        diary on
        fprintf(' \n\n');        
        fprintf('Time is: '); fprintf(datestr(datetime('now')));
        fprintf(' \n');      
        fprintf('Function after fminsearch %12.6f',f_best);
        fprintf(' \n'); 
        fprintf('Maximum Parameter Change %12.6f',max(abs(th_best-th_start)));
        fprintf(' \n\n');
        diary off;
        
        th_start=th_best;
        fh = @(b) HdP_objective2Jumps(b', xx0,xx1, xOne, xUnion, censotim0,censotim1,Aage62_0, Aage62_1,Aage65_0, Aage65_1, beta_aux, nreps, copula , RHO, t_point_scale, W, K);
        options = psoptimset('TimeLimit',5*60*60,'Display','Iter');
        [theta,f]=patternsearch(fh, th_start',[],[],[],[],th_start'-de',th_start'+de',[],options);
        if (f<=f_best)
            th_best=theta';
            f_best=f;
        end
        
        save(Intermediate_Results);
        diary on
        fprintf(' \n\n');        
        fprintf('Time is: '); fprintf(datestr(datetime('now')));
        fprintf(' \n');      
        fprintf('Function after PaternSearch %12.6f',f_best);
        fprintf(' \n'); 
        fprintf('Maximum Parameter Change %12.6f',max(abs(th_best-th_start)));
        fprintf(' \n\n');
        diary off;

        th_start=th_best;
        de=de/100;
        de(3)=de(3)*100; 
        de(4)=de(4)*100;
        de(length(th_best)/2+2)= de(length(th_best)/2+2)*100;
        de(length(th_best)/2+3)= de(length(th_best)/2+3)*100;
        fh = @(b) HdP_objective2Jumps(b', xx0,xx1, xOne, xUnion, censotim0,censotim1,Aage62_0, Aage62_1,Aage65_0, Aage65_1, beta_aux, nreps, copula , RHO, t_point_scale, W, K);
        options=optimoptions('particleswarm','SwarmSize',500,'Display','iter','InitialSwarm',th_start','MaxTime',5*60*60,'UseParallel',true);
        [theta,f]=particleswarm(fh,length(th_start),(th_start-2*de)',(th_start+2*de)',options);
        if (f<=f_best)
            th_best=theta';
            f_best=f;
        end
        
        save(Intermediate_Results);
        diary on
        fprintf(' \n\n');        
        fprintf('Time is: '); fprintf(datestr(datetime('now')));
        fprintf(' \n');      
        fprintf('Function after P-Swarm %12.6f',f_best);
        fprintf(' \n'); 
        fprintf('Maximum Parameter Change %12.6f',max(abs(th_best-th_start)));
        fprintf(' \n\n');
        diary off;
        
        de=abs(th_start_iter-th_best);
        if (ire<4) 
            de=de+0.1;
        end
        th_start=th_best;
    
    end
    save(Intermediate_Results);
    theta=th_best;
    fct=f_best;
    

    del=(1:10)/100;
    vtheta=zeros(length(del),length(theta),length(theta));
    nrep_multiplier=20;
    for i=1:length(del)
        vtheta(i,:,:)=calc_var_matrix2Jumps(W,xx0,xx1,xOne,xUnion,censotim0,censotim1,Aage62_0, Aage62_1,Aage65_0, Aage65_1, beta_aux, RHO, t_point_scale, theta,copula,nreps,del(i),nrep_multiplier);
    end
    theta=from_reparameterized2Jumps(theta,copula)

end
