function [x,fx]=linmin(func,x,d,toler,maxit);
    xl=x-abs(d);
    xh=x+abs(d);

    fx=func(x);
    fxl=func(xl);
    fxh=func(xh);

    while (fxl < fx) 
        xl=xl-abs(d);
        fxl=func(xl);
    end

    while (fxh < fx) 
        xh=xh+abs(d);
        fxh=func(xh);
    end

% Here we alsways drop the point with highest fuction value

    iter=0;
    while ((abs(xh-xl)>toler)&(iter<maxit))        
%         [xl x xh]
        iter=iter+1;
        if (fxh>fxl)
            xnew=(x+xh)/2;
            fxnew=func(xnew);
            if (fxnew<fx)
                xl=x;
                fxl=fx;
                x=xnew;
                fx=fxnew;
            else
                xh=xnew;
                fxh=fxnew;
            end
        else
            xnew=(x+xl)/2;
            fxnew=func(xnew);
            if (fxnew<fx)
                xh=x;
                fxh=fx;
                x=xnew;
                fx=fxnew;
            else
                xl=xnew;
                fxl=fxnew;
            end
        end
    end
    
% Here we alsways drop the point farthest away
    
    iter=0;
    while ((abs(xh-xl)>toler)&(iter<maxit))        
%         [xl x xh]
        iter=iter+1;
        if (abs(xh-x)>abs(x-xl))
            xnew=(x+xh)/2;
            fxnew=func(xnew);
            if (fxnew<fx)
                xl=x;
                fxl=fx;
                x=xnew;
                fx=fxnew;
            else
                xh=xnew;
                fxh=fxnew;
            end
        else
            xnew=(x+xl)/2;
            fxnew=func(xnew);
            if (fxnew<fx)
                xh=x;
                fxh=fx;
                x=xnew;
                fx=fxnew;
            else
                xl=xnew;
                fxl=fxnew;
            end
        end
    end
    
end
