function [times, times_censored, censored,xx0,xx1]=generate_predictions_unrounded(censotim,hh,gender,agedif,reg,RHO,t_point_scale,copula,nreps,theta)

    ii=(gender==1); % Male
    ii=find(ii);
    censotim1=censotim(ii);
    hh1=hh(ii);
    x1=reg(ii,:);
    agedif1=agedif(ii);
    agedif1=min(agedif1,0);
    age62_1=24-agedif1;
    age65_1=60-agedif1;
    

    ii=(gender==0);
    ii=find(ii);
    censotim0=censotim(ii);
    hh0=hh(ii);
    x0=reg(ii,:);
    agedif0=agedif(ii);
    agedif0=max(agedif0,0);
    age62_0=24+agedif0;
    age65_0=60+agedif0;
    
  
    
    [n k]=size(x1);

    xOne=ones(n,1);
    xx1=[ones(n,1) x1];
    xx0=[ones(n,1) x0];
    
    seeed = 97171;
    rng(seeed);
    K=rand(n*nreps,2);
    
    xx0=repmat(xx0,nreps,1);
    xx1=repmat(xx1,nreps,1);
    censotim0=repmat(censotim0,nreps,1);
    censotim1=repmat(censotim1,nreps,1);
    Aage62_0=repmat(age62_0,nreps,1);
    Aage62_1=repmat(age62_1,nreps,1);
    Aage65_0=repmat(age65_0,nreps,1);
    Aage65_1=repmat(age65_1,nreps,1);
    

    rng default  % For reproducibility  

    theta=to_reparameterized2Jumps(theta,copula);
    ttemp = HdP_generate(theta, xx0,xx1,  censotim0,censotim1,Aage62_0, Aage62_1, Aage65_0, Aage65_1, nreps, copula , RHO, t_point_scale,  K);
    
    cen1=censotim0;
    cen2=censotim1;
    
    times=ttemp;
    censored1=(ttemp(:,1)>cen1);
    censored2=(ttemp(:,2)>cen2);
    t1=cen1.*censored1+ttemp(:,1).*(1-censored1);
    t2=cen2.*censored2+ttemp(:,2).*(1-censored2);
    
    times_censored=[t1 t2];
    censored=[censored1 censored2];

    
    

end
