%%Calculates utilities given retirement times%%

%{
  Param:
   -thi: vector of type i = {1, 2}'s theta (delta, alpha, beta)
   natural parameterizations (tau not needed here)
   -x: matrix of covariates with dimension N x (K - 1) / 2
   -k: vector of type i's error draws of length N * NREPS
   -t: vector of type i's uncensored failure time of length N
   -ts: vector of type j's uncensored failure time of length N
   -ztt: Ztilde(thi(2), t, rho)
   -zts: Ztilde(thi(2), ts, rho)
   -ert: exp(-rho .* t)
   -rho
%}

%{
  Return:
   -out: vector of utilities given retirement times of length
   N * NREPS
%}

function [out] = Uts(thi, fi, k, rho, ztt, zts, ert)
%first term of discounted utility function:
term1 = k / rho .* (1 - ert);

%second term of discounted utility function:
term2 = fi .* ztt;

%third term of discounted utility function:
term3 = fi .* (thi(1) - 1) .* zts;
       
out = term1 + term2 + term3;
end
