% The function takes alpha, t and rho as input arguments and calculates Z tilde

%{ 
  Param: 
   -alpha: scalar parameter of Z-tilde
   -t: scalar retirement time
%}

% f is the result, the scalar Z-tilde value

% example: f = Ztilde(alpha, t, rho)

function [f] = Ztilde(alpha, t, rho)
f = ((1 / rho) .^(alpha + 1)) .* gamma(alpha + 1) .* ...
                (1 - gammainc(rho * t, alpha + 1));
end

