% The function takes t, alpha, rho, tau and gamma as input arguments and calculates Z tilde

%{ 
  Param: 
   -alpha: scalar parameter of Z-tilde
   -t: scalar retirement time
%}

% f is the result, the scalar Z-tilde value

% example: f = ZtildeT(alpha, t, rho, tau, gamma)

function [f] = ZtildeT2Jumps(alpha, t, rho, tau, gamma)

f1 = Ztilde(alpha, t, rho);

f2 = Ztilde2(t, rho, tau(:,1));
f3 = Ztilde2(t, rho, tau(:,2));

f = f1 + gamma(1)*f2 + gamma(2)*f3;

end

