% The function takes tau_i and t as input arguments and calculates F(tau,t)

% f is the result

% example: f = ff(tau, t)

function [f] = ff(tau, t)
g1 = bsxfun(@gt,t, tau);
g2 = bsxfun(@gt,t, tau+0.5);
g3 = bsxfun(@gt,t, tau+1);

r1 = 1 - g1;
r2 = g1 .* (1 - g2);
r3 = g2 .* (1 - g3);
r4 = g3;

f1 = zeros(length(t),1);
f2 = 2*(t - tau).^2;
f3 = 1 - 2*(t - 1 - tau).^2;
f4 = ones(length(t),1);

f = r1.*f1 + r2.*f2 + r3.*f3 + r4.*f4;

        
end

