% Given tj (tj < ti), output value of first order condition at ti
% Input values: ti, tj, ki, kj, thi, thj, xi, xj, rho, f
% ert2 = exp(-rho .* tj)
% zttj = Ztilde(thj(2), tj, rho)
% fij1 = fij .* (1-thi(1))
% fij2 = thi(1) .* fii
% A1 = A(thi, fii, ki, f, rho)
% A2 = A(thj, fij, kj, f, rho)
% Return: out: value of first order conditon at ti

% example: out = nashseqfoc(ti, tj, ki, kj, thi, thj, xi, xj, rho, f)

function [out] = nashseqfocT2Jumps(ti, ki, kj, thi, thj, fii, fij, taui, tauj, rho, ert2, zttj, fij1, fij2, A1, A2)
ert = exp(-rho .* ti);
ztti = ZtildeT2Jumps(thi(2), ti, rho, taui, thi(3:4));
zttjs = ZtildeT2Jumps(thj(2), ti, rho, tauj, thj(3:4));
zi1 = ZiT2Jumps(ti, thi(2), thi(3:4), taui);

term1 = zi1 .* ert .* fij1.* (Ut(thi, fii, ki, rho, ztti, ert) - A1);
term2 = (ki .* ert - zi1 .* ert .* fij2)...
    .* (Uts(thj, fij, kj, rho, zttj, zttjs, ert2) - A2);
out = term1 + term2;
end