% Given ti = tj = tt, output value of first order condition at tt
% Input values: tt, ki, kj, thi, thj, xi, xj, tau1, tau2, rho, f
% ztt1 = Ztilde(thi(2), tt, rho)
% ztt2 = Ztilde(thj(2), tt, rho)
% ert = exp(-rho .* tt)
% fiti = fii .* thi(1)
% fjti = fij .* thi(1)
% fjtj = fij .* thj(1)
% Aj = A(thj, fij, kj, f, rho)
% Ai = A(thi, fii, ki, f, rho)
% Return: out: value of first order conditon at ti

% example: out = nashsimfoc(tt, ki, kj, thi, thj, xi, xj, rho, f, ztt1, ztt2, ert)

function [out] = nashsimfocT2Jumps(tt, ki, kj, thi, thj, taui, tauj, rho, ztt1, ztt2, ert, fiti, fjti, fjtj, Aj, Ai)
zi = ZiT2Jumps(tt, thi(2), thi(3:4), taui);
zj = ZiT2Jumps(tt, thj(2), thj(3:4), tauj);
term1 = ert .* (ki - fiti .* zi) .* (kj ./ rho .* (1 - ert) + fjti .* ztt2 - Aj);
term2 = ert .* (kj - fjtj .* zj) .* (ki ./ rho .* (1 - ert) + fiti .* ztt1 - Ai);
%     thj(1) in line 1 was thi(1) ... should not matter
out = term1 + term2;
end

