clear;
clc;

lbl1='Spec6';
addpath('auxiliary')
addpath('Rettimes Routines even faster')
addpath('Powell')
addpath('Estimation Routines')
logfile_name=strcat(lbl1,'-Diary.log');
delete(logfile_name);
diary(logfile_name);
diary on
fprintf('Good Morning. I hope it is a beautiful day in London\n\n');
fprintf('Todays date is: '); fprintf(date);
fprintf(' \n\n');
diary off;


[dat,txt]=xlsread('hpdatamata_excel');
varnames=txt(1,:)';
% summstats(dat,varnames);

depvar={'failure'}; 
cen={'censtime'}; 
hhid={'hh'}; 
gender={'gender'};
explvar={'agedif' 'ranonhispanicblack' 'raotherrace' 'rahispanic' 'rahighschoolged' 'rasomecollege' 'racollegeabove' 'rregion_northeast' 'rregion_south' 'rregion_west' 'rverygoodhealth' 'rgoodhealth' 'rhealthinsurance'  'rtothealthexpen'  'rpension1DC' 'rpension1DB' 'fweal'} ;
[t,c,hhol,gend,x]=getdat(dat,varnames,depvar,cen,hhid,gender,explvar);
agedif=x(:,1);
x(:,1)=x(:,1)/10; %divide age by 10
summstats(t,depvar);
summstats(c,cen);
summstats(hhol,hhid);
summstats(gend,gender);
summstats(x,explvar);


copu=1;
nreps=10;
RHO=0.05/12;
threat_point_scale=0.6;

[theta, vtheta,fct]=estimatemodel2Jumps(t,c,hhol,gend,agedif,x,RHO,threat_point_scale,copu,nreps,true,lbl1);
diary on;
stheta=zeros(length(theta),size(vtheta,1));
for i=1:size(vtheta,1)
    for j=1:1:size(vtheta,2)
        stheta(j,i)=sqrt(vtheta(i,j,j));
    end
end
[theta stheta]
diary off;

save(strcat(lbl1,'-Results'));
