clear;
clc;

lbl0='Spec6';
lbl1='Spec6KM';
addpath('auxiliary')
addpath('Rettimes Routines even faster')
addpath('Powell')
logfile_name=strcat(lbl1,'-Diary.log');
delete(logfile_name);
diary(logfile_name);
diary on
fprintf('Good Morning. I hope it is a beautiful day in London\n\n');
fprintf('Todays date is: '); fprintf(date);
fprintf(' \n\n');
diary off;



load(strcat(lbl0,'-Results'));

ifem=find(gender==0);
imal=find(gender==1);
t=depvar;
c=censotim;

vg=11;
ifem_vg=find( ((gender==0).*(reg(:,vg)==1)));
imal_vg=find( (gender==1).* (reg(:,vg)==1));
ifem_nvg=find( (gender==0).*( reg(:,vg)==0));
imal_nvg=find((gender==1).* ( reg(:,vg)==0));

t1=t(ifem);
t2=t(imal);
c1=c(ifem);
c2=c(imal);
c1=(t1==c1);
c2=(t2==c2);
[g1,j1,g1L,glH]=ecdf(t1,'censoring',c1);
[g2,j2,g2L,g2H]=ecdf(t2,'censoring',c2);

t1=t(ifem_vg);
t2=t(imal_vg);
c1=c(ifem_vg);
c2=c(imal_vg);
c1=(t1==c1);
c2=(t2==c2);
[g1vg,j1vg,g1vgL,g1vgH]=ecdf(t1,'censoring',c1);
[g2vg,j2vg,g2vgL,g2vgH]=ecdf(t2,'censoring',c2);

t1=t(ifem_nvg);
t2=t(imal_nvg);
c1=c(ifem_nvg);
c2=c(imal_nvg);
c1=(t1==c1);
c2=(t2==c2);
[g1nvg,j1nvg,g1nvgL,g1nvgH]=ecdf(t1,'censoring',c1);
[g2nvg,j2nvg,g2nvgL,g2nvgH]=ecdf(t2,'censoring',c2);

nreps=100;

diary on
[t1, t1c, censo,xxF,xxM]=generate_predictions(censotim,hh,gender,agedif,reg,RHO,t_point_scale,copula,nreps,theta);

vg=12;

[f1,i1]=ecdf(t1c(:,1),'censoring',censo(:,1));
[f2,i2]=ecdf(t1c(:,2),'censoring',censo(:,2));
    
iF=find(xxF(:,vg)==1);
t1c_vgF=t1c(iF,1);
c_vgF=censo(iF,1);
iM=find(xxM(:,vg)==1);
t1c_vgM=t1c(iM,2);
c_vgM=censo(iM,2);
[f1vg,i1vg]=ecdf(t1c_vgF,'censoring',c_vgF);    
[f2vg,i2vg]=ecdf(t1c_vgM,'censoring',c_vgM);   

iF=find(xxF(:,vg)==0);
t1c_nvgF=t1c(iF,1);
c_nvgF=censo(iF,1);
iM=find(xxM(:,vg)==0);
t1c_nvgM=t1c(iM,2);
c_nvgM=censo(iM,2);
[f1nvg,i1nvg]=ecdf(t1c_nvgF,'censoring',c_nvgF);    
[f2nvg,i2nvg]=ecdf(t1c_nvgM,'censoring',c_nvgM);   

figure
plot(j2,g2,'-k',i2,f2,'--k',j1,g1,'-k',i1,f1,'--k','LineWidth',1.5)
legend('Actual (Husband)','Fitted (Husband)','Actual (Wife)','Fitted (Wife)','Location','SouthEast')
legend('boxoff')
axis([0 180 0 1])
title('All')

saveas(gcf,'KMfit.png')


% plot(i1vg,f1vg,'-b',i2vg,f2vg,'-b',j1vg,g1vgL,'-g',j1vg,g1vgH,'-g',j2vg,g2vgL,'-g',j2vg,g2vgH,'-g'...
%     ,j1vg,g1vg,'-r',j2vg,g2vg,'-r','LineWidth',1.5)

% plot(i2vg,f2vg,'-k',j2vg,g2vgL,'--k',j2vg,g2vgH,'--k'...
%     ,'LineWidth',1.5)



figure
plot(j2vg,g2vg,'-k',i2vg,f2vg,'--k',j1vg,g1vg,'-k',i1vg,f1vg,'--k','LineWidth',1.5)
legend('Actual (Husband)','Fitted (Husband)','Actual (Wife)','Fitted (Wife)','Location','SouthEast')
legend('boxoff')
axis([0 180 0 1])
title('Health Very Good')

saveas(gcf,'KMfitVG.png')


figure
plot(j2nvg,g2nvg,'-k',i2nvg,f2nvg,'--k',j1nvg,g1nvg,'-k',i1nvg,f1nvg,'--k','LineWidth',1.5)
legend('Actual (Husband)','Fitted (Husband)','Actual (Wife)','Fitted (Wife)','Location','SouthEast')
legend('boxoff')
axis([0 180 0 1])
title('Health less than Very Good')

saveas(gcf,'KMfitNotVG.png')
diary off
