clear;
clc;

lbl0='Spec6';
lbl1='Spec6counterfactual_as_in_paper';
addpath('auxiliary')
addpath('Rettimes Routines even faster')
addpath('Powell')
addpath('Prediction Routines')
addpath('Estimation Routines')
logfile_name=strcat(lbl1,'-Diary.log');
delete(logfile_name);
diary(logfile_name);
diary on
fprintf('Good Morning. I hope it is a beautiful day in London\n\n');
fprintf('Todays date is: '); fprintf(date);
fprintf(' \n\n');
diary off;

load(strcat(lbl0,'-Results'));
nreps=100;

diary on
t1=generate_predictions_unrounded(censotim,hh,gender,agedif,reg,RHO,t_point_scale,copula,nreps,theta);
fprintf('predicted at sample x\n\n')
fprintf('Medians          %10.3f %10.3f\n',median(t1))
fprintf('25 percentiles   %10.3f %10.3f\n\n\n',quantile(t1,0.25))

diary off

DC=size(reg,2)-2;
DB=size(reg,2)-1;
ifemale=find(gender==0);
imale=find(gender~=0);
diary on


reg(imale,DB)=0;
reg(imale,DC)=1;
t2=generate_predictions_unrounded(censotim,hh,gender,agedif,reg,RHO,t_point_scale,copula,nreps,theta);
fprintf('x(imale,DB)=0 and x(imale,DC)=1\n\n')
fprintf('Medians          %10.3f %10.3f\n',median(t2))
fprintf('25 percentiles   %10.3f %10.3f\n\n\n',quantile(t2,0.25))

t0=t1;

reg(imale,DB)=1;
reg(imale,DC)=0;
t3=generate_predictions_unrounded(censotim,hh,gender,agedif,reg,RHO,t_point_scale,copula,nreps,theta);
fprintf('x(imale,DB)=1 and x(imale,DC)=0\n\n')
fprintf('Medians          %10.3f %10.3f\n',median(t3))
fprintf('25 percentiles   %10.3f %10.3f\n\n\n',quantile(t3,0.25))

% t1=t1-t0;
% fprintf('differences\n\n')
% fprintf('Medians          %10.3f %10.3f\n',median(t1))
% fprintf('25 percentiles   %10.3f %10.3f\n\n\n',quantile(t1,0.25))

diary off
