function p = ol_psmle(y, x)


d0 = y > 0;
d1 = y > 1;


xx=inv(x'*x);
bet1 = xx*x'*d0;
bet2 = xx*x'*d1;

p = cat(1, bet1, bet1(1) - bet2(1));

b = 0*p;
converged = 0;

while not (converged)
    options = optimoptions(@fminunc,'Algorithm', 'quasi-newton', ...
        'GradObj', 'on', 'Display', 'off');
    


    f = @(beta)ol_psmle_obj_foc(beta, y, x);
    [p, fmax] = fminunc(f, b, options);
    converged = 1;

    b = p;
    h = 0.0001;

    for i = 1:length(p)
       pp = p;
       pp(i) = pp(i) + h;
       f1 = ol_psmle_obj_foc(pp, y, x);
%        fprintf('1: f1: %d;  fmax: %d\n', -f1, fmax);
       if -f1 > fmax
           fmax = -f1;
           b = pp;
           converged = 0;
       end
       
       pp = p;
       pp(i) = pp(i) - h;
       f1 = ol_psmle_obj_foc(pp, y, x);
%        fprintf('2: f1: %d;  fmax: %d\n', -f1, fmax);
       if -f1 > fmax
           fmax = -f1;
           b = pp;
           converged = 0;
       end
    end
end
end

