% olpsmle.m - performs PSMLE on ordered logit likelihood function
%
% Other m-files required: none
% Subfunctions: ol_psmle, ol_psmle_obj_foc, ol_psmle_soc
%
% C-files required: N/A
%
% Execute:        olpsmle
%
% Author: Andrew Semelhago
%
% email: andrewis@princeton.edu
%
% April 2015; Last revision: 2015-04-06
%
%------------- BEGIN CODE --------------

seeed = 971+2*1;
rng(seeed);
n=10000;
b = [1; .5; 2.5; 1];
x=2*rand(n,4)-1;
u=rand(n,1);
eps=log(u./(1-u));
ys=x*b+eps;
y=(ys>-1)+(ys>1);
x=[ones(n,1) x];

bs=[-1; b ; 1];
[f, der] = ol_psmle_obj_foc(bs, y, x)

derder = ol_psmle_soc(bs, x)

delt=0.001;
nunder=der*0;
numderder=0*derder;
for i=1:length(bs)
    bb=bs;
    bb(i)=bs(i)+delt;
    [fp, derp] = ol_psmle_obj_foc(bb, y, x);
    bb(i)=bs(i)-delt;
    [fm, derm] = ol_psmle_obj_foc(bb, y, x);
    numder(i)=(fp-fm)/(2*delt);
    numderder(i,:)=(derp-derm)/(2*delt);
end
numder
numderder

p = ol_psmle(y, x)


