%%Calculates objective requiring maximization and FOC%%

%{
Param:
beta: k x 1 vector of estimated coefficients
ti: n x 1 vector of times
ceni: n x 1 vector of indicators (true if censoring occured)
xi: n x k matrix of data
%}

%{
Returns:
 FOC
%}

function der = weibul_mle_foc(beta, ti, ceni, xi)

[n,k]=size(xi);

%%% Start of Objective Calculation %%%
bet = beta(2:length(beta));
exb = exp(xi * bet);
tia = ti .^ exp(beta(1));
lti = log(ti);
alpha = exp(beta(1));



%%% Start of FOC Calculation %%%

dL_dg = (sum((1 - ceni) .* (1 / alpha + lti)) ...
            - sum((tia) .* lti .* exb)) * alpha;
        
dL_db = sum(repmat(1 - ceni, 1, k) .* xi) ...
                - ones(1, n) * (repmat(tia .* exb, 1, k) .* xi);

der = - [dL_dg dL_db] / n;
end
