%%Calculates SOC of objective%%

%{
Param:
beta: k x 1 vector of estimated coefficients
ti: n x 1 vector of times
ceni: n x 1 vector of indicators (true if censoring occured)
xi: n x k matrix of data
%}

%{
Returns:
SOC of objective
%}

function der = weibul_mle_soc(beta, ti, ceni, xi)
bet = beta(2:length(beta));
lti=log(ti);
exb=exp(xi * bet);
al=exp(beta(1));
al2=al^2;

d2L_dg2 = sum((1-ceni).*lti)*al -sum((ti.^al).*lti.*exb)*al - sum((ti.^al).*(lti.^2).*exb)*al;
          

d2L_dgdb = sum(-exp(beta(1)) * ...
            bsxfun(@times, (ti.^al).*lti.*exb, xi), 1);

d2L_db2 = transpose(bsxfun(@times, ti .^ exp(beta(1)) .* exb, xi)) * xi;

der(1, 1) = -d2L_dg2;
der(1, 2:length(beta)) = -d2L_dgdb;
der(2:length(beta), 1) = -d2L_dgdb;
der(2:length(beta), 2:length(beta)) = d2L_db2;

der = der / size(xi, 1);
end