clear;
clc;

lbl1='Results With rounding and Jumps in Z_SE';
addpath('auxiliary')
addpath('Rettimes Routines even faster')
addpath('Powell')
logfile_name=strcat('Table5.txt');
delete(logfile_name);
diary(logfile_name);
diary on
fprintf('GO FOXES\n\n');
fprintf('Todays date is: '); fprintf(date);
fprintf(' \n\n');
diary off;

for ispec=3:3
    
    diary on
    formatSpec = '%01u\n';
    aa=strcat('Spec', num2str(ispec,formatSpec),'-Results');
    load(aa);
    fprintf('Results for Specification %2.0f',ispec);
    fprintf('\n\n');
    fprintf('Minimized Function Value %7.2f',fct);
    fprintf('\n\n');
    explvar={'Age Diff.' 'Non-Hisp. Black' 'Other race'  'Hispanic'  'High school or GED'  'Some college' ...              
        'College or above' 'NE' 'SO' 'WE' 'V Good Health' 'Good Health'  };      
                          
    names=['$\delta$ ' '$\theta_1$' '$\ge$ 62 yrs-old' '$\ge$ 65 yrs-old' 'constant' explvar  '$\tau$ '];
    stheta=zeros(length(theta),size(vtheta,1));
    for i=1:size(vtheta,1)
        for j=1:1:size(vtheta,2)
            stheta(j,i)=sqrt(vtheta(i,j,j));
        end
    end
    
    thetaBoth=theta;
    sthetaBoth=stheta;
    
    k=length(theta)/2;
    theta=[thetaBoth(1);thetaBoth(2:k);thetaBoth(2*k)];
    stheta=[sthetaBoth(1,:);sthetaBoth(2:k,:);sthetaBoth(2*k,:)];

    fprintf('FEMALES\n\n')
    
    for jj=1:size(theta,1)
        fprintf('%20s',char(names(jj)))
%         fprintf(' & %7.2f',theta(jj) )
        fprintf(' & %7.2f',median(stheta(jj,:))) 
        for kk=1:size(stheta,2)
            fprintf(' & %7.2f',stheta(jj,kk) )
        end
        
        fprintf('\\\\ \n');
    end
    fprintf('\n\n\n\n');
    
    theta=[thetaBoth(1);thetaBoth(k+1:2*k-1);thetaBoth(2*k)];
    stheta=[sthetaBoth(1,:);sthetaBoth(k+1:2*k-1,:);sthetaBoth(2*k,:)];

    fprintf('MALES\n\n')
    
    for jj=1:size(theta,1)
        fprintf('%20s',char(names(jj)))
%         fprintf(' & %7.2f',theta(jj) )
        fprintf(' & %7.2f',median(stheta(jj,:))) 
        for kk=1:size(stheta,2)
            fprintf(' & %7.2f',stheta(jj,kk) )
        end
        
        fprintf('\\\\ \n');
    end
    fprintf('\n\n\n\n');
    diary off;
    
end