clear;
clc;

lbl1='AgedifPosNeg';
addpath('auxiliary')
addpath('Rettimes Routines even faster')
addpath('Powell')
logfile_name=strcat(lbl1,'.log');
delete(logfile_name);
diary(logfile_name);
diary on
fprintf('Good Morning. I hope it is a beautiful day in London\n\n');
fprintf('Todays date is: '); fprintf(date);
fprintf(' \n\n');
diary off;

% explvar={'agedif' 'ranonhispanicblack' 'raotherrace' 'rahispanic' 'rahighschoolged' 'rasomecollege' ... 
%     'racollegeabove' 'rregionnortheast' 'rregionsouth' 'rregionwest' 'rverygoodhealth' 'rgoodhealth' ...
%     'rhealthinsurance'  'rtothealthexpen'  'rpension1DC' 'rpension1DB' 'fweal'  'shealthinsurance'} ;

explvar={'Age Diff.' 'Non-Hisp. Black' 'Other race'  'Hispanic'  'High school or GED'  'Some college' ...              
 'College or above' 'NE' 'SO' 'WE' 'V Good Health' 'Good Health' 'Health Insurance' ...
 'Tot. Health Exp.' 'Pension (DC)' 'Pension (DB)' 'Fin. Wealth' 'Health Ins (spouse)' };      
                          
 names=['$\delta$ ' '$\theta_1$' '$\ge$ 62 yrs-old' '$\ge$ 65 yrs-old' 'constant' explvar  '$\tau$ '];
                                        
                          
                                  

ispecs={'1' '1dif_pos' '1dif_neg' '3' '3dif_pos' '3dif_neg'};
nspec=length(ispecs);

formatSpec = '%01u\n';
aa=strcat('Spec', num2str(9),'-Results');
load(aa);
npar=length(names);

wth=cell(npar,nspec);
hth=cell(npar,nspec);
wse=cell(npar,nspec);
hse=cell(npar,nspec);
fcval=cell(nspec);
nobs=cell(nspec);

for i=1:npar
    for j=1:nspec
        wth{i,j}='       ';
        hth{i,j}='       ';
        wse{i,j}='       ';
        hse{i,j}='       ';
    end
end

        

for i=1:nspec
    
%     ispec=ispecs(i);
    is=i;
    formatSpec = '%01u\n';
    aa=strcat('Spec', ispecs{i},'-Results');
    load(aa);
    stheta=zeros(length(theta),size(vtheta,1));
    for i1=1:size(vtheta,1)
        for j=1:1:size(vtheta,2)
            stheta(j,i1)=sqrt(vtheta(i1,j,j));
        end
    end
    stheta=median(stheta,2);
    np=length(theta);
    
    fcval{is}=sprintf('%7.3f',fct);
    nobs{is}=sprintf('%7i',size(agedif,1)/2);
    
    
%     females 



    for i1=1:np/2 
        wth{i1,is}=sprintf('%7.3f',theta(i1));
        wse{i1,is}=sprintf('(%7.3f)',stheta(i1));
    end
    wth{npar,is}=sprintf('%7.3f',theta(np));
    wse{npar,is}=sprintf('(%7.3f)',stheta(np));
    
    %     males 
    th=[theta(1); theta(np/2:np)];   
    se=[stheta(1); stheta(np/2:np)]; 

    hth{1,is}=sprintf('%7.3f',theta(1));
    hse{1,is}=sprintf('(%7.3f)',stheta(1));
    for i1=1:np/2-1
        hth{i1+1,is}=sprintf('%7.3f',theta(i1+np/2));
        hse{i1+1,is}=sprintf('(%7.3f)',stheta(i1+np/2));
    end
    hth{npar,is}=sprintf('%7.3f',theta(np));
    hse{npar,is}=sprintf('(%7.3f)',stheta(np));
end

diary on

fprintf('WIVES');
fprintf(' \n\n');

for jj=1:size(wth,1)
    fprintf('%10s',char(names(jj)))
    for j2=1:size(wth,2)
        fprintf('& $%9s $',char(wth(jj,j2)))
    end
    fprintf('\\\\[\\sep]  \n');
    for j2=1:size(wse,2)
        fprintf(' & {\\footnotesize { $ %9s $}}' ,char(wse(jj,j2))); 
    end
    fprintf('\\\\[\\sepp]  \n');
end
           
fprintf('%10s',char('Function Value'))
for j2=1:size(wse,2)
        fprintf('& $%9s $',char(fcval(j2)))
end
fprintf('\\\\   ');

fprintf('\n %10s',char('Number of Obs.'))
for j2=1:size(wse,2)
        fprintf('& $%9s $',char(nobs(j2)))
end
% fprintf('\\\\   \n');
fprintf('\n\n\n\n');


fprintf('HUBANDS');
fprintf(' \n\n');

for jj=1:size(hth,1)
    fprintf('%10s',char(names(jj)))
    for j2=1:size(hth,2)
        fprintf('& $%9s $',char(hth(jj,j2)))
    end
    fprintf('\\\\[\\sep]  \n');
    for j2=1:size(hse,2)
        fprintf(' & {\\footnotesize {$ %9s $}}' ,char(hse(jj,j2))); 
    end
    fprintf('\\\\[\\sepp]  \n');
end

fprintf('%10s',char('Function Value'))
for j2=1:size(hse,2)
        fprintf('& $%9s $',char(fcval(j2)))
end
fprintf('\\\\   ');

fprintf('\n %10s',char('Nunber of Obs.'))
for j2=1:size(hse,2)
        fprintf('& $%9s $',char(nobs(j2)))
end
% fprintf('\\\\   ');
fprintf('\n\n\n\n');
diary off;

    
