//=======/=========/=========/=========/=========/=========/=========/========/=========/=========/=========/=========/=========/========/========/========//
//
// 	Honore and de Paula: FIGURES 1 AND 5
//	This file generates Figures 1 (retirementmonlagsmata.png) and 5 (rethwscattermata.png)
//
//=======/=========/=========/=========/=========/=========/=========/========/=========/=========/=========/=========/=========/========/========/========//

clear
clear matrix

set memory 500m
set more off

use honoredepaula
count

/// ageo marks the age of the oldest in the couple and husbando indicates whether the husband is the oldest.

gen ageo = max(ageh,agew)

sort hh ageo wave
by hh: gen lagageo = ageo[_n-1] if wave==wave[_n-1]+1

keep if (lagageo<60 & ageo>=60)|(lagageo==. & ageo==60)
drop if ageo>=.
count

/// keep only couples where both are in the labor force

keep if (rnotinlbrfh==0 & rnotinlbrfw==0)
count

/// drops observations where either husband or wife retired or were last interviewed before 60 yrs.-old

gen hhdobmh = min(dobmh,dobmw)
gen hhdobmw = min(dobmh,dobmw)
drop if (rretmh-hhdobmh<720 | rretmw-hhdobmw<720 | lastintmh-hhdobmh<720 | lastintmw-hhdobmw<720 | deathmh-hhdobmh<720 | deathmw-hhdobmw<720)
count

/// generates censoring time and drops observations for which it is missing.

gen censtimeh = min(lastintmh,deathmh)-hhdobmh-720
gen censtimew = min(lastintmw,deathmw)-hhdobmw-720

drop if (censtimeh==. | censtimew==.)

/// keeps the variables that are important for the analysis

drop ageo lagageo ageh agew rretyrh rretyrw rretmonh rretmonw firstintyrh firstintyrw firstintyr firstintageh ///
	firstintagew lastintyrh lastintyrw lastintyr lastintageh lastintagew rretyrdif ///
	rretmondif agedifgroup interviewmonh interviewyrh rworkh rnotinlbrfh cohorth rpartlyreth rretiredh ///
	interviewmonw interviewyrw rworkw rnotinlbrfw rpartlyretw rretiredw rabmonthw rabyearw rabmonthh rabyearh ///
	cohortw interviewyr intmh intmw deathmoh deathmow deathyrh deathyrw
	
/// reshaping into long format
 	
gen financialwealthw = financialwealth
rename financialwealth financialwealthh
gen totalwealthw = totalwealth
rename totalwealth totalwealthh
gen agedifh = agedif
rename agedif agedifw
gen waveh = wave
rename wave wavew
gen sverygoodhealthh = rverygoodhealthw
gen sgoodhealthh = rgoodhealthw
gen spoorhealthh = rpoorhealthw
gen sverygoodhealthw = rverygoodhealthh
gen sgoodhealthw = rgoodhealthh
gen spoorhealthw = rpoorhealthh
gen spension1DCh = rpension1DCw
gen spension1DBh = rpension1DBw
gen spension1DCw = rpension1DCh
gen spension1DBw = rpension1DBh
gen shealthinsuranceh = rhealthinsurancew
gen shealthinsurancew = rhealthinsuranceh

gen rretmondif =rretmh-rretmw

twoway histogram rretmondif, discrete xtitle(Ret Month Diff)
graph export retirementmonlagsmata.png, replace

twoway scatter rretmh rretmw || line rretmw rretmw, ytitle(Husband) xtitle(Wife) legend(off)
graph export rethwscattermata.png, replace
