//=======/=========/=========/=========/=========/=========/=========/========/=========/=========/=========/=========/=========/========/========/========//
//
// 	Honore and de Paula: DATA PREPARATION
//	This file produces the data file honoredepaula.dta used for the results in the paper from the original HRS files.
//
//=======/=========/=========/=========/=========/=========/=========/========/=========/=========/=========/=========/=========/========/========/========//

clear

set memory 500m
set more off

forval num = 1/8 {
	
	use unrestricteddataset012710 if wave_dummy`num'==1, clear
	
	keep if (rmarried==1 & wave_dummy`num'==1)
	
	gen age = ragey_b
	
	gen cohort = racohbyr
	
	gen husbandwife = "w" if rafemale==1
	replace husbandwife = "h" if rafemale==0

	gen hh = round(hhidpn/1000)
	
	drop if (hh==202613 & wave_dummy3==1) 	/// this observation records two wives in the same household, probably a mistake, fix later

	drop if (hh==22999 & wave_dummy3==1)  	/// this obs have non-constant total wealth per hh, prob mistake, fix later
	 
	drop if (hh==40158 & wave_dummy3==1)  	/// this obs have non-constant total wealth per hh, prob mistake, fix later
	
	drop if (hh==50945 & wave_dummy3==1)  	/// this obs have non-constant total wealth per hh, prob mistake, fix later
	
	drop if (hh==208545 & wave_dummy3==1) 	/// this obs have non-constant total wealth per hh, prob mistake, fix later
	
	drop if (hh==33513 & wave_dummy4==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==40158 & wave_dummy4==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==41423 & wave_dummy4==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==75779 & wave_dummy4==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==135454 & wave_dummy4==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==33513 & wave_dummy5==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==36495 & wave_dummy5==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==40158 & wave_dummy5==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==41423 & wave_dummy5==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==47582 & wave_dummy5==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==50825 & wave_dummy5==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==75779 & wave_dummy5==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==135454 & wave_dummy5==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==16566 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==18508 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==21416 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==22965 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==33513 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==40158 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==41423 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==46394 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==50825 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==54580 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==122305 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==135454 & wave_dummy6==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==18508 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==21416 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==33513 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==36495 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==40158 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==41423 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==47926 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==50825 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==53095 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==79230 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==122305 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==135454 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==501233 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==502104 & wave_dummy7==1) 	/// this observation records two wives in the same household, probably a mistake, fix later

	drop if (hh==18508 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==21416 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==33513 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==36495 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==38923 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==41423 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==53095 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==56955 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==75779 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==79230 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==122305 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==135454 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==180795 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop if (hh==501233 & wave_dummy8==1) 	/// this observation records two wives in the same household, probably a mistake, fix later
	
	drop s* wave_dummy* hhidpn rinher rrplnyr rretwsp rretwlt inw1 inw2 inw3 inw4 inw5 inw6 inw7 inw8 rafemale rage_dummy* ///
		racohort_dummy* rfulltime rparttime runemployed rdisabled rnotinlbrf ///
		rmarried rrisk_leastRA rrisk_3rdRA rrisk_2ndRA rrisk_mostRA ragey_b racohbyr
		
	/// Below we reshape the data from long to wide format.  The observations are then household (hh) specific.
		
	reshape wide rwork ///								respondent works
		rretired rpartlyret ///							retired or partly retired
		rretmon rretyr ///							month and yr of ret (if retirement ever mentioned)
		riearn ///								imputed earnings
		rretinsurance rprivateinsurance rpublicinsurance rhealthinsurance ///	retiree health coverage (private, public or either)
		ranonhispanicwhite ranonhispanicblack rahispanic raotherrace ///	race
		racollegeabove rasomecollege rahighschoolged ralesshighschool ///	education
		rpension1DB rpension2DB rpension1DC rpension2DC rpension1DBDC ///
		rpension2DBDC ///							pensions
		rverygoodhealth rgoodhealth rpoorhealth ///				self-reported health
		rtothealthexpen roophealthexpen ///					health expenditures (total and out-of-pocket)
		rdiv_newen rdiv_midat rdiv_encen rdiv_wncen rdiv_satla rdiv_escen ///
		rdiv_wscen rdiv_mounta rdiv_pacifi rdiv_other ///			census division
		rregion_northeast rregion_midwest rregion_south rregion_west ///
		rregion_other ///							census region
		cohort ///
		age, i(hh) j(husbandwife) string
	
	gen agedif = ageh-agew	///							age difference between husband and wife
		
	/// Below we rename variables to be wave specific and avoid confusion when we merge all the waves.
		
	renames rworkh rretiredh rpartlyreth rretmonh rretyrh riearnh rretinsuranceh rprivateinsuranceh ///
		rpublicinsuranceh rhealthinsuranceh ranonhispanicwhiteh ///
		ranonhispanicblackh rahispanich raotherraceh racollegeaboveh ///
		rasomecollegeh rahighschoolgedh ralesshighschoolh rpension1DBh ///
		rpension2DBh rpension1DCh rpension2DCh rpension1DBDCh rpension2DBDCh ///
		rverygoodhealthh rgoodhealthh rpoorhealthh rtothealthexpenh ///
		roophealthexpenh rdiv_newenh rdiv_midath rdiv_encenh rdiv_wncenh ///
		rdiv_satlah rdiv_escenh rdiv_wscenh rdiv_mountah rdiv_pacifih rdiv_otherh ///
		rregion_northeasth rregion_midwesth rregion_southh rregion_westh ///
		rregion_otherh cohorth ageh ///
		rworkw rretiredw rpartlyretw rretmonw rretyrw riearnw rretinsurancew rprivateinsurancew ///
		rpublicinsurancew rhealthinsurancew ranonhispanicwhitew ///
		ranonhispanicblackw rahispanicw raotherracew racollegeabovew ///
		rasomecollegew rahighschoolgedw ralesshighschoolw rpension1DBw ///
		rpension2DBw rpension1DCw rpension2DCw rpension1DBDCw rpension2DBDCw ///
		rverygoodhealthw rgoodhealthw rpoorhealthw rtothealthexpenw ///
		roophealthexpenw rdiv_newenw rdiv_midatw rdiv_encenw rdiv_wncenw ///
		rdiv_satlaw rdiv_escenw rdiv_wscenw rdiv_mountaw rdiv_pacifiw rdiv_otherw ///
		rregion_northeastw rregion_midwestw rregion_southw rregion_westw ///
		rregion_otherw cohortw agew totalwealth financialwealth, s(`num')
		
	save wave`num', replace 
		
}

/// Merging all the waves into a single file and converting from wide to long format 
/// (to be saved as honoredepaula.dta below).

use wave1
merge hh using wave2 wave3 wave4 wave5 wave6 wave7 wave8, sort

drop _merge*

reshape long rworkh rretiredh rpartlyreth rretmonh rretyrh riearnh rretinsuranceh rprivateinsuranceh ///
		rpublicinsuranceh rhealthinsuranceh ranonhispanicwhiteh ///
		ranonhispanicblackh rahispanich raotherraceh racollegeaboveh ///
		rasomecollegeh rahighschoolgedh ralesshighschoolh rpension1DBh ///
		rpension2DBh rpension1DCh rpension2DCh rpension1DBDCh rpension2DBDCh ///
		rverygoodhealthh rgoodhealthh rpoorhealthh rtothealthexpenh ///
		roophealthexpenh rdiv_newenh rdiv_midath rdiv_encenh rdiv_wncenh ///
		rdiv_satlah rdiv_escenh rdiv_wscenh rdiv_mountah rdiv_pacifih rdiv_otherh ///
		rregion_northeasth rregion_midwesth rregion_southh rregion_westh ///
		rregion_otherh cohorth ageh ///
		rworkw rretiredw rpartlyretw rretmonw rretyrw riearnw rretinsurancew rprivateinsurancew ///
		rpublicinsurancew rhealthinsurancew ranonhispanicwhitew ///
		ranonhispanicblackw rahispanicw raotherracew racollegeabovew ///
		rasomecollegew rahighschoolgedw ralesshighschoolw rpension1DBw ///
		rpension2DBw rpension1DCw rpension2DCw rpension1DBDCw rpension2DBDCw ///
		rverygoodhealthw rgoodhealthw rpoorhealthw rtothealthexpenw ///
		roophealthexpenw rdiv_newenw rdiv_midatw rdiv_encenw rdiv_wncenw ///
		rdiv_satlaw rdiv_escenw rdiv_wscenw rdiv_mountaw rdiv_pacifiw rdiv_otherw ///
		rregion_northeastw rregion_midwestw rregion_southw rregion_westw ///
		rregion_otherw cohortw agew totalwealth financialwealth, ///
		i(hh) j(wave)

save honoredepaula, replace
